extends Node2D

var sprite
var area
var collider
var loadedScript

export(String, FILE, "*.gd") var scriptName

# Called when the node enters the scene tree for the first time.
func _ready():
	sprite = get_node("Sprite")
	area = get_node("Area2D")
	loadedScript = load(scriptName)
	area.connect("body_entered", self, "onBodyEntered")

func onBodyEntered(body : PhysicsBody2D):	
	queue_free()		

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass
